clear all
close all
global ga alpha gi mcs xiw sigma pistar delta eta b beta ys chi

%% parameters
SP=1;
SW=1;
varrhop=0;
varrhow=0;
theta=4;
sigma=4;
beta = 0.99; % discount factor
b = 0.8; % habit formation
gamma2 = 0.05; % % utilization cost
kappa = 3; % investment adjustment cost
delta = 0.025; % depreciation rate
zetap = 0; % indexation price
zetaw = 0; % indexation wage
chi = 1; % Frisch elasticity
eta = 6; % labor disutility
pistar = 1.008675; % steady state gross inflation
alpha = 1/3; % Cobb-Douglas parameter
phi = 0; % Cobb-Douglas parameter
%phi = 0.6;
rhoi = 0.8; % TR smoothing
alphapi = 1.5; % TR inflation
alphay = 0.2; % TR output growth
psik = 0;
psig = 0;
psil = 0;
% shock parameters
rhoA = 0; % stationary TFP
rhoinvs = 0; % no-stationary IST
rhor=0;
gid = 1.00472; % desired growth of IST
gyd = 1.005712; % desired growth of output
gad = (gyd/(gid^(alpha/(1-alpha))))^(1-alpha);
ga = gad^(1-phi); % growth of neutral prod
gi = gid; % growth of IST
gup = ga^(1/((1-phi)*(1-alpha)))*gi^(alpha/(1-alpha)); % growth of upsilon


if SP==1
    xip = 0.55;
else
    xip=0;
end

if SW==1
    xiw = 0.66;
else
    xiw=0;
end
suA=0;
suinvs=0;
sur=0;
%% Compute initial values (steady state)
solve_for_steady_state_endog_spsw
save param_main_stochastic_endog_spsw beta b gamma1 gamma2 kappa delta theta sigma xiw xip zetaw zetap chi eta pistar alpha rhoi alphapi alphay ga gi gup rhoA suA rhoinvs suinvs sur F ls ys ks cs invss lams x1s x2s f1s f2s ints vps ws wrs lams mcs vws xipss xiwss varrhop varrhow
dynare base_stochastic_endog_spsw_short noclearall nolog
  