
global alpha gi mcs rks xiwss sigma pistar delta eta b beta ys chi

% solve for steady state

xipss=xip/(pistar^varrhop);
xiwss=xiw/(pistar^varrhow);
ps = ((1-xipss*pistar^((zetap-1)*(1-theta)))/(1-xipss))^(1/(1-theta)); % reset price inflation
vps = (1-xipss*pistar^(-theta*(zetap-1)))^(-1)*((1-xipss)*ps^(-theta)); % price dispersion
ints = pistar*gup/beta - 1; % steady state interest rate
mcs = ((theta-1)/theta)*((1-xipss*pistar^((zetap-1)*(1-theta)))/(1-xipss))^(1/(1-theta))*(1-xipss*beta*pistar^((zetap-1)*(1-theta)))^(-1)*(1-xipss*beta*pistar^(-theta*(zetap-1))); % real marginal cost
rks = gup*gi/beta - (1-delta); % rental rate on capital
gamma1 = rks; % normalization to ensure Zs = 1
alpha_bar=(alpha^(-alpha))*((1-alpha)^(alpha-1));
ws=(mcs/(alpha_bar*(rks^alpha)))^(1/(1-alpha));
%ws = ((1-alpha)/alpha)*((1-psik+psik*(1+ints))*rks/(1-psil+psil*(1+ints)))*(mcs*phi/(1-psig+psig*(1+ints)))^(-1/((1-alpha)*(phi-1)))*((phi/(1-phi))*(1/alpha)*((1-psik+psik*(1+ints))*rks/(1-psig+psig*(1+ints))))^(-1/(1-alpha)); %wage
wrs = ((1-xiwss*gup^(sigma-1)*pistar^((zetaw-1)*(1-sigma)))/(1-xiwss))^(1/(1-sigma))*ws; % reset wage
kls = (alpha/(1-alpha))*gup*gi*(ws/rks); % capital-labor ratio
yls = mcs*kls^alpha*(gup*gi)^(-alpha); % gross output-labor ratio
cls = yls - (1-(1-delta)*gup^(-1)*gi^(-1))*kls; % consumption-labor ratio
ls = (((sigma-1)/sigma)*(cls)^(-1)*(1/eta)*(((gup-b) - beta*b*(1-b*gup^(-1)))/((1-b*gup^(-1))*(gup-b)))*(wrs/ws)^(sigma*chi)*wrs*(1-beta*xiwss*gup^(sigma-1)*pistar^((sigma-1)*(1-zetaw)))^(-1)*(1-beta*xiwss*gup^(sigma*(1+chi))*pistar^(sigma*(1+chi)*(1-zetaw))))^(1/(1+chi)); % steady state labor
ys = yls*ls; % net output
cs = cls*ls; % consumption
ks = kls*ls; % capital
invss = (1-(1-delta)*gup^(-1)*gi^(-1))*ks; % investment
F = ((1-mcs*vps)/mcs)*ys; % fixed cost
lams = (1/cs)*((gup - b) - beta*b*(1-b*gup^(-1)))/((1-b*gup^(-1))*(gup-b)); % marginal utility 
x1s = (lams*ys*mcs)/(1-xipss*beta*pistar^(-theta*(zetap-1))); % auxiliar x1
x2s = (lams*ys)/(1-xipss*beta*pistar^((zetap-1)*(1-theta))); % auxiliary x2
f1s = (1-beta*xiwss*gup^(sigma*(1+chi))*pistar^(sigma*(1+chi)*(1-zetaw)))^(-1)*(eta*(ws/wrs)^(sigma*(1+chi))*ls^(1+chi)); % auxiliary f1
f2s = (1-beta*xiwss*gup^(sigma-1)*pistar^((sigma-1)*(1-zetaw)))^(-1)*(lams*(ws/wrs)^(sigma)*ls); % auxiliary f2


profit_check = ys - ws*ls - rks*ks*gup^(-1)*gi^(-1);
profits = ys - profit_check;
vws = (1-xiwss*(gup^(-1)*pistar^(zetaw-1))^(-sigma*(1+chi)))^(-1)*((1-xiwss)*(wrs/ws)^(-sigma*(1+chi)));
