
%%Ici je me suis arrang pour obtrnirt frd hauteurs identiques. 
clear all
close all
global ga alpha gi mcs xiw sigma pistar delta eta b beta chi

%% parameters
mylabor=[];
l=[];
eta1=[];

for ls=0.5:0.01:0.96

sigma=4;SP=1; SW=1;
beta = 0.99; % discount factor
b = 0.8; % habit formation
gamma2 = 0.05; % % utilization cost
kappa = 3; % investment adjustment cost
delta = 0.025; % depreciation rate
theta = 4; % elasticity substitution goods
zetap = 0; % indexation price
zetaw = 0; % indexation wage
chi = 6; % Frisch elasticity
eta = 6; % labor disutility
pistar = 1; % steady state gross inflation
alpha = 1/3; % Cobb-Douglas parameter
gid = 1.00472; % desired growth of IST
gyd = 1.005712; % desired growth of output
gad = (gyd/(gid^(alpha/(1-alpha))))^(1-alpha);
ga = gad; % growth of neutral prod
gi = gid; % growth of IST
gup = ga^(1/(1-alpha))*gi^(alpha/(1-alpha)); 


if SP==1
    xip = 0.55;
else
    xip=0;
end

if SW==1
    xiw = 0.66;
else
    xiw=0;
end

%% Compute steady state
ps = ((1-xip*pistar^((zetap-1)*(1-theta)))/(1-xip))^(1/(1-theta)); 
ss = (1-xip*pistar^(-theta*(zetap-1)))^(-1)*((1-xip)*ps^(-theta)); 
ints = pistar*gup/beta - 1; 
mcs = ((theta-1)/theta)*((1-xip*pistar^((zetap-1)*(1-theta)))/(1-xip))^(1/(1-theta))*(1-xip*beta*pistar^((zetap-1)*(1-theta)))^(-1)*(1-xip*beta*pistar^(-theta*(zetap-1))); % real marginal cost
rks = gup*gi/beta - (1-delta);
gamma1 = rks; 
alpha_bar=(alpha^(-alpha))*((1-alpha)^(alpha-1));
ws=(mcs/(alpha_bar*(rks^alpha)))^(1/(1-alpha));
wrs = ((1-xiw*gup^(sigma-1)*pistar^((zetaw-1)*(1-sigma)))/(1-xiw))^(1/(1-sigma))*ws; % reset wage
vws = (1-xiw*(gup^(-1)*pistar^(zetaw-1))^(-sigma*(1+chi)))^(-1)*((1-xiw)*(wrs/ws)^(-sigma*(1+chi)));

l=[l;ls];
mylabor=[mylabor;eta*vws*(ls^(1+chi)/(1+chi))];
end
T = 0.5:0.01:0.96;
t=T';

%% 
xlim1=0.4;
xlim2=1.01;
ylim1=-0.1;
ylim2=1.01;

x1=0.64;
x2=0.9;
xbar=0.77;
ixbar=28;
ix=15;
iy=41;
y1=mylabor(ix);
y2=mylabor(iy);




X=[x1;x2];
Y=[y1;y2];

m1=0.55;
m2=0.95;
im1=find(t==m1);
im2=find(t==m2);
p1=mylabor(im1);
p2=mylabor(im2);
M=[m1;m2];
P=[p1;p2];



OX1=[xlim1;x1];OX2=[y1;y1];
OY1=[xlim1;x2];OY2=[y2;y2];

OZ1=[x1;x1];OZ2=[ylim1;y1];
OZA1=[x2;x2];OZA2=[ylim1;y2];

OM1=[xlim1;m1];OM2=[p1;p1];
OP1=[xlim1;m2];OP2=[p2;p2];

ON1=[m1;m1];ON2=[ylim1;p1];
OQ1=[m2;m2];OQ2=[ylim1;p2];

%OM=[0.45;0.55]
%OP=[-0.1;p1]
ysc_bar=(y2-y1)/2+y1;
%ybc_bar=0.5*(p2-p1)+p1;
ybc_bar=0.37;

ybar=mylabor(ixbar);
%Oybar1=[xbar;xbar];Oybar2=[ylim1;ybar];
Oybar_sc1=[xbar;xbar];Oybar_sc2=[ylim1;ysc_bar];
Oybar_bc1=[xbar;xbar];Oybar_bc2=[ylim1;ybc_bar];
Oybar1=[xbar;xbar];Oybar2=[ylim1;ybar];


xsc_bar=0.5*(x2-x1)+x1;
%xbc_bar=0.5*(m2-m1)+m1;
xbc_bar=0.77;



Oysc1=[xlim1;xsc_bar];Oysc2=[ysc_bar;ysc_bar];
Oybc1=[xlim1;xbc_bar];Oybc2=[ybc_bar;ybc_bar];

Oy1=[xlim1;xbar];Oy2=[ybar;ybar];

save data_Fig4 mylabor t X Y M P ON1 ON2 OQ1 OQ2 OX1 OX2 OY1 OY2 OZ1 OZ2 OZA1 OZA2 Oybar_sc1 Oybar_sc2 Oybar1 Oybar2 Oybar_bc1 Oybar_bc2 Oysc1 Oysc2 Oy1 Oy2 Oybc1 Oybc2 xlim1 xlim2 ylim1 ylim2
