            
clear all
close all
clc

global mcs pistar gammaw  eta beta ys chi 


load param_tab
%xip =0.823;
beta = 0.99;
gammap = 0;
gammaw = 0;
%theta = 4;
pistar = 1.008675;
chi = 0;
eta = 1;

% monetary policy
rhoi = 0.8;
alphapi = 1.5;
alphay = 0.2;

rhoA = 0.95;
rhor=0;



%% Compute initial values (steady state)
solve_for_steady_state_SNKM;

%%

sur=0.002;
suA=0.009;
%run shock_size_verification
 

%%
pistar0 = 1; pistar1 = 1.02^(.25); pistar2 = 1.04^.25; pistar3 = (1+7/100)^0.25; pistar4 = (1+12/100)^0.25;

for pistar=[pistar0 pistar1 pistar2 pistar3 pistar4]
solve_for_steady_state_SNKM;
%save parameter_main_april_2017_determ beta b gamma1 gamma2 kappa delta pistar sigma chi eta xiw gammaw alpha F theta xip gammap alphapi alphay rhoi rhob rhoL rhoA rhor rhoinvs sub suL suA sur suinvs ints ys gup gi ga lams ls ks ws wrs ps x1s x2s f1s f2s xs mcs ss As vws css rks;
save parameter_SNKM beta pistar chi eta theta xip gammap alphapi alphay rhoi rhoA rhor suA sur ints ys lams ls ws ps x1s x2s mcs ss As css;
dynare SNKM noclearall nolog
Moments_SNKM
end


%% cost of going from 0 to 2
welfarecost_0_to_2_mean = 1 - exp((1-beta)*(MEANS(2,1) - MEANS(1,1)));
welfarecost_0_to_2_ss = 1 - exp((1-beta)*(SS(2,1) - SS(1,1)));

output_lost_0_to_2_mean=1- exp(MEANS(2,2) - MEANS(1,2));
output_lost_0_to_2_ss= 1-exp(SS(2,2) -SS(1,2));


%% cost of going from 0 to 4

welfarecost_0_to_4_mean = 1 - exp((1-beta)*(MEANS(3,1) - MEANS(1,1)));
welfarecost_0_to_4_ss = 1 - exp((1-beta)*(SS(3,1) - SS(1,1)));

output_lost_0_to_4_mean= 1-exp(MEANS(3,2) - MEANS(1,2));
output_lost_0_to_4_ss= 1-exp(SS(3,2) -SS(1,2));

%% cost of going from 0 to 7
welfarecost_0_to_7_mean = 1 - exp((1-beta)*(MEANS(4,1) - MEANS(1,1)));
welfarecost_0_to_7_ss = 1 - exp((1-beta)*(SS(4,1) - SS(1,1)));

output_lost_0_to_7_mean= 1-exp(MEANS(4,2) - MEANS(1,2));
output_lost_0_to_7_ss= 1-exp(SS(4,2) -SS(1,2));



%% cost of going from 0 to 12
welfarecost_0_to_12_mean = 1 - exp((1-beta)*(MEANS(5,1) - MEANS(1,1)));
welfarecost_0_to_12_ss = 1 - exp((1-beta)*(SS(5,1) - SS(1,1)));

output_lost_0_to_12_mean= 1-exp(MEANS(5,2) - MEANS(1,2));
output_lost_0_to_12_ss= 1-exp(SS(5,2) -SS(1,2));

welfare_SNKM_ss=100*[welfarecost_0_to_2_ss welfarecost_0_to_4_ss welfarecost_0_to_7_ss welfarecost_0_to_12_ss];
price_disp_SNKM_ss=exp(price_dis(2:end,1)');
