%November 2018

% Long-Run Inflation and the Distorting Effects of Sticky Wages and 
%Technical ChangeLong-Run Inflation and the Distorting Effects of 
%Sticky Wages and Technical Change

%%%%%%%%%%%
% TABLE 3 % 
%%%%%%%%%%%

clear all
close all
clc
%Table 3: Sticky price model
run base_models

for Trend=0:1:1
for Growth=0:1:1
    SP=1; SW=0;sigma=4;
    save param_tab Growth sigma SP SW Trend
    if Growth==0&&Trend==0
        execute_base_deterministic
        Table_3_A1=Table_paper_welfa_determ;
        Table_3_B1=Table_paper_price_disper_determ;
        save Table_3_1 Table_3_A1 Table_3_B1

    elseif Growth==1&&Trend==0
        execute_base_deterministic
        Table_3_A2=Table_paper_welfa_determ;
        Table_3_B2=Table_paper_price_disper_determ;
        save Table_3_2 Table_3_A2 Table_3_B2
        
    elseif Growth==1&&Trend==1      
        execute_base_stochastic   
        Table_3_A3=Table_paper_welfa_stoch;
        Table_3_B3=Table_paper_price_disper_stoch;
        save Table_3_3 Table_3_A3 Table_3_B3
    end
end
end

load Table_3_1
load Table_3_2
load Table_3_3

Table_3_Panel_A=[Table_3_A1;Table_3_A2;Table_3_A3]
Table_3_Panel_B=[Table_3_B1;Table_3_B2;Table_3_B3]




